## r-cran-bit 1.1

=== DESCRIPTION ===
Package: bit
Type: Package
Title: A class for vectors of 1-bit booleans
Version: 1.1-12
Date: 2012-01-17
Author: Jens Oehlschlgel <Jens.Oehlschlaegel@truecluster.com>
Maintainer: Jens Oehlschlgel <Jens.Oehlschlaegel@truecluster.com>
Depends: R (>= 2.9.2)
Description: bitmapped vectors of booleans (no NAs), 
  coercion from and to logicals, integers and integer subscripts; 
  fast boolean operators and fast summary statistics. 
  With 'bit' vectors you can store true binary booleans {FALSE,TRUE} at the 
  expense of 1 bit only, on a 32 bit architecture this means factor 32 less 
  RAM and ~ factor 32 more speed on boolean operations. Due to overhead of 
  R calls, actual speed gain depends on the size of the vector: expect gains 
  for vectors of size > 10000 elements. Even for one-time boolean operations 
  it can pay-off to convert to bit, the pay-off is obvious, when such 
  components are used more than once. 
  Reading from and writing to bit is approximately as fast as accessing 
  standard logicals - mostly due to R's time for memory allocation. The package 
  allows to work with pre-allocated memory for return values by calling .Call() 
  directly: when evaluating the speed of C-access with pre-allocated vector 
  memory, coping from bit to logical requires only 70% of the time for copying 
  from logical to logical; and copying from logical to bit comes at a 
  performance penalty of 150%. the package now contains further classes for 
  representing logical selections: 'bitwhich' for very skewed selections and 
  'ri' for selecting ranges of values for chunked processing. All three index 
  classes can be used for subsetting 'ff' objects (ff-2.1-0 and higher).
License: GPL-2
LazyLoad: yes
ByteCompile: yes
Encoding: latin1
URL: http://ff.r-forge.r-project.org/
Packaged: 2014-04-08 21:51:43 UTC; jens
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-04-09 09:54:10

## r-cran-bit 1.1-12

=== debian/changelog ===
r-cran-bit (1.1-12-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Testsuite: autopkgtest-pkg-r
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 15:32:38 +0100

r-cran-bit (1.1-12-1) unstable; urgency=medium

  * Initial release (closes: #873270)

 -- Andreas Tille <tille@debian.org>  Sat, 26 Aug 2017 00:08:51 +0200

=== debian/control ===
Source: r-cran-bit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-bit.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-bit.git
Homepage: https://cran.r-project.org/package=bit

Package: r-cran-bit
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R class for vectors of 1-bit booleans
 This GNU R package provides bitmapped vectors of booleans (no NAs),
 coercion from and to logicals, integers and integer subscripts; fast
 boolean operators and fast summary statistics. With 'bit' vectors you
 can store true binary booleans {FALSE,TRUE} at the expense of 1 bit
 only, on a 32 bit architecture this means factor 32 less RAM and ~
 factor 32 more speed on boolean operations. Due to overhead of R calls,
 actual speed gain depends on the size of the vector: expect gains for
 vectors of size > 10000 elements. Even for one-time boolean operations
 it can pay-off to convert to bit, the pay-off is obvious, when such
 components are used more than once.
 .
 Reading from and writing to bit is approximately as fast as accessing
 standard logicals - mostly due to R's time for memory allocation. The
 package allows one to work with pre-allocated memory for return values
 by calling .Call() directly: when evaluating the speed of C-access with
 pre-allocated vector memory, coping from bit to logical requires only
 70% of the time for copying from logical to logical; and copying from
 logical to bit comes at a performance penalty of 150%. the package now
 contains further classes for representing logical selections: 'bitwhich'
 for very skewed selections and 'ri' for selecting ranges of values for
 chunked processing. All three index classes can be used for subsetting
 'ff' objects (ff-2.1-0 and higher).

## r-cran-bit 1.1-14

=== debian/changelog ===
r-cran-bit (1.1-14-1) unstable; urgency=medium

  * New upstream version
  * Fix permission of text files

 -- Andreas Tille <tille@debian.org>  Wed, 30 May 2018 09:05:36 +0200

r-cran-bit (1.1-13-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 08:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: r-cran-bit
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-r
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-bit.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-bit.git
+Build-Depends: debhelper (>= 11~),
+               dh-r,
+               r-base-dev
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit.git
 Homepage: https://cran.r-project.org/package=bit
 
 Package: r-cran-bit

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/bit_([-\d.]*)\.tar\.gz

## r-cran-bit 1.1-15.1

=== debian/changelog ===
r-cran-bit (1.1-15.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2020 11:34:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit.git
 Homepage: https://cran.r-project.org/package=bit

## r-cran-bit 1.1-15.2

=== debian/changelog ===
r-cran-bit (1.1-15.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 17 Feb 2020 20:55:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit.git
 Homepage: https://cran.r-project.org/package=bit

## r-cran-bit 4.0.4+dfsg

=== DESCRIPTION ===
Package: bit
Type: Package
Title: Classes and Methods for Fast Memory-Efficient Boolean Selections
Version: 4.0.4
Date: 2020-08-03
Author: Jens Oehlschlägel [aut, cre], Brian Ripley [ctb]
Maintainer: Jens Oehlschlägel <Jens.Oehlschlaegel@truecluster.com>
Depends: R (>= 2.9.2)
Suggests: testthat (>= 0.11.0), roxygen2, knitr, rmarkdown,
        microbenchmark, bit64 (>= 4.0.0), ff (>= 4.0.0)
Description: Provided are classes for boolean and skewed boolean vectors,
    fast boolean methods, fast unique and non-unique integer sorting,
    fast set operations on sorted and unsorted sets of integers, and
    foundations for ff (range index, compression, chunked processing).
License: GPL-2 | GPL-3
LazyLoad: yes
ByteCompile: yes
Encoding: UTF-8
URL: https://github.com/truecluster/bit
VignetteBuilder: knitr, rmarkdown
RoxygenNote: 7.1.0.9000
NeedsCompilation: yes
Packaged: 2020-08-03 12:14:34 UTC; jo
Repository: CRAN
Date/Publication: 2020-08-04 04:20:08 UTC

=== debian/changelog ===
r-cran-bit (4.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2020 17:05:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit.git
 Homepage: https://cran.r-project.org/package=bit
+Rules-Requires-Root: no
 
 Package: r-cran-bit
 Architecture: any

## r-cran-bit 4.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: bit
 Type: Package
 Title: Classes and Methods for Fast Memory-Efficient Boolean Selections
-Version: 4.0.4
-Date: 2020-08-03
+Version: 4.0.5
+Date: 2022-11-13
 Author: Jens Oehlschlägel [aut, cre], Brian Ripley [ctb]
 Maintainer: Jens Oehlschlägel <Jens.Oehlschlaegel@truecluster.com>
 Depends: R (>= 2.9.2)
@@ -18,8 +18,8 @@
 Encoding: UTF-8
 URL: https://github.com/truecluster/bit
 VignetteBuilder: knitr, rmarkdown
-RoxygenNote: 7.1.0.9000
+RoxygenNote: 7.2.0
 NeedsCompilation: yes
-Packaged: 2020-08-03 12:14:34 UTC; jo
+Packaged: 2022-11-13 21:22:09 UTC; jo
 Repository: CRAN
-Date/Publication: 2020-08-04 04:20:08 UTC
+Date/Publication: 2022-11-15 21:20:16 UTC

=== debian/changelog ===
r-cran-bit (4.0.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:26:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-bit
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit.git
+Homepage: https://cran.r-project.org/package=bit
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit.git
-Homepage: https://cran.r-project.org/package=bit
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-bit
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name make_rd.pl -exec chmod -x \{\} \;
	find debian -name "*.txt" -exec chmod -x \{\} \;

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/bit_([-\d.]*)\.tar\.gz

## r-cran-bit 4.5.0.1

=== debian/changelog ===
r-cran-bit (4.5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Add dh-make-R templates for autopkgtests.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 08:56:47 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit.git
 Homepage: https://cran.r-project.org/package=bit
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 0.11.0),
        r-cran-roxygen2,
        r-cran-knitr,
        r-cran-markdown,
        r-cran-rmarkdown,
        r-cran-microbenchmark,
        r-cran-bit64 (>= 4.0.0),
        r-cran-ff (>= 4.0.0)
Restrictions: allow-stderr

## r-cran-bit 4.6.0%2Bdfsg

=== DESCRIPTION ===
Package: bit
Title: Classes and Methods for Fast Memory-Efficient Boolean Selections
Version: 4.6.0
Authors@R: c(
    person("Michael", "Chirico", email = "MichaelChirico4@gmail.com", role = c("aut", "cre")),
    person("Jens", "Oehlschlägel", role = "aut"),
    person("Brian", "Ripley", role = "ctb")
  )
Depends: R (>= 3.4.0)
Suggests: testthat (>= 3.0.0), roxygen2, knitr, markdown, rmarkdown,
        microbenchmark, bit64 (>= 4.0.0), ff (>= 4.0.0)
Description: Provided are classes for boolean and skewed boolean vectors,
    fast boolean methods, fast unique and non-unique integer sorting,
    fast set operations on sorted and unsorted sets of integers, and
    foundations for ff (range index, compression, chunked processing).
License: GPL-2 | GPL-3
LazyLoad: yes
ByteCompile: yes
Encoding: UTF-8
URL: https://github.com/r-lib/bit
VignetteBuilder: knitr, rmarkdown
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2025-03-05 07:18:45 UTC; michael
Author: Michael Chirico [aut, cre],
  Jens Oehlschlägel [aut],
  Brian Ripley [ctb]
Maintainer: Michael Chirico <MichaelChirico4@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-06 10:50:01 UTC

## r-cran-bit 4.6.0+dfsg

=== debian/changelog ===
r-cran-bit (4.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Fix debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 09:55:56 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bit
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bit.git
 Homepage: https://cran.r-project.org/package=bit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 3.0.0),
        r-cran-roxygen2,
        r-cran-knitr,
        r-cran-markdown,
        r-cran-rmarkdown,
        r-cran-bit64 (>= 4.0.0),
        r-cran-ff (>= 4.0.0),
        r-cran-microbenchmark
Restrictions: allow-stderr
